package jrummikub.view;

import java.util.Map;

import jrummikub.model.Position;
import jrummikub.model.StoneSet;
import jrummikub.util.IEvent1;

public interface ITable {
  public void setLeftPlayerName(String playerName);
  public void setTopPlayerName(String playerName);
  public void setRightPlayerName(String playerName);
  
  public void setStoneSets(Map<StoneSet, Position> stoneSets);
  
  public IEvent1<Position> getClickEvent();
}